### File

`src/lib/table-filter/to-filter-column-names.pipe.ts`

### Metadata

Name | toFilterColumnNames
Standalone | `true`

### Methods

Public transform
`transform(columns: string[])`
Defined in src/lib/table-filter/to-filter-column-names.pipe.ts:12

Parameters :

Name | Type | Optional
columns | `string[]` | No

Returns : `string[]`

    import {
      Pipe,
      PipeTransform,
    } from '@angular/core';

    @Pipe({
      name: 'toFilterColumnNames',
      standalone: true,
    })
    export class ToFilterColumnNamesPipe implements PipeTransform {

      public transform(columns: string[]): string[] {
        return columns.map(column => 'filter_' + column);
      }

    }

# results matching ""

# No results matching ""